# Uses of Interface
org.opensaml.saml.saml2.metadata.SingleSignOnService

Packages that use SingleSignOnService
Package
Description
org.opensaml.saml.metadata.generator.impl
Implementation of Velocity-based metadata generation.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of SingleSignOnService in org.opensaml.saml.metadata.generator.impl

Methods in org.opensaml.saml.metadata.generator.impl that return SingleSignOnService
Modifier and Type
Method
Description
`SingleSignOnService`
SingleSignOnServiceConverter.`apply(String value, List<String> protocols)`

## Uses of SingleSignOnService in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type SingleSignOnService
Modifier and Type
Method
Description
`List<SingleSignOnService>`
IDPSSODescriptor.`getSingleSignOnServices()`
Gets the list of single sign on services for this IDP.

## Uses of SingleSignOnService in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement SingleSignOnService
Modifier and Type
Class
Description
`class`
`SingleSignOnServiceImpl`
Concrete implementation of `SingleSignOnService`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type SingleSignOnService
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<SingleSignOnService>`
IDPSSODescriptorImpl.`singleSignOnServices`
SingleSignOn services for this entity.
Methods in org.opensaml.saml.saml2.metadata.impl that return SingleSignOnService
Modifier and Type
Method
Description
`SingleSignOnService`
SingleSignOnServiceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SingleSignOnService`
SingleSignOnServiceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type SingleSignOnService
Modifier and Type
Method
Description
`List<SingleSignOnService>`
IDPSSODescriptorImpl.`getSingleSignOnServices()`
Gets the list of single sign on services for this IDP.